/* Complete CSS Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    -moz-text-size-adjust: none;
    -webkit-text-size-adjust: none;
    text-size-adjust: none;
}

body,
h1,
h2,
p {
    margin-block-end: 0;
}

body {
    min-height: 100vh;
    line-height: 1.5;
}

h1,
h2 {
    line-height: 1.1;
}

img {
    max-width: 100%;
    display: block;
}

/* Adding Fonts */
@font-face {
    font-display: swap;
    font-family: "Figtree", sans-serif;
    font-style: normal;
    font-weight: 500;
    src: url("./assets/fonts/figtree-v9-latin-500.woff2");
}

@font-face {
    font-display: swap;
    font-family: "Figtree", sans-serif;
    font-style: normal;
    font-weight: 800;
    src: url("./assets/fonts/figtree-v9-latin-800.woff2");
}

/* Global Changes in Root */
:root {
    /* Colors */
    --clr-yellow: hsl(47, 88%, 63%);
    --clr-white: hsl(0, 0%, 100%);
    --clr-black: hsl(0, 0%, 0%);
    --clr-gray-500: hsl(0, 0%, 42%);
    --clr-gray-950: hsl(0, 0%, 7%);

    /* Font */
    --FF: "Figtree", sans-serif;

    --FW-500: 500;
    --FW-800: 800;

    --FS-14: 0.9rem; /* 14px */
    --FS-16: 1rem;   /* 16px */
    --FS-22: 1.25rem;/* 22px */
}

/* Typography */
body {
    font-family: var(--FF);
    font-size: var(--FS-16);
    color: var(--clr-gray-950);
}

.subject__learning-text,
.learning__date {
    font-size: var(--FS-14);
}

.subject__learning-text {
    font-weight: var(--FW-800);
    text-align: center;
}

.course__title {
    font-size: var(--FS-22);
}

.course__desc {
    color: var(--clr-gray-500);
    font-size: var(--FS-14);
}

.author__name {
    font-weight: var(--FW-800);
}

/* General */
.page__container {
    background-color: var(--clr-yellow);
    max-width: 375px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1.2em;
    margin: 0 auto;
}

.component__container {
    background-color: var(--clr-white);
    padding: 1.2em;
    border-radius: 0.8em;
    box-shadow: 4px 5px 0px 4px var(--clr-black);
    border: 1px solid var(--clr-black);
    transition: box-shadow 0.25s ease;
}

.component__container:hover,
.component__container:focus {
    cursor: pointer;
    box-shadow: 6px 6px 0px 6px var(--clr-black);
}

.article__image {
    border-radius: 0.5em;
}

.subject__container {
    margin-bottom: 0.6em;
}

.subject__learning-text {
    margin-top: 1em;
    margin-bottom: 0.5em;
    background-color: var(--clr-yellow);
    max-width: 30%;
    padding: 0.125em;
    border-radius: 0.25em;
}

.course__container {
    margin-bottom: 1.2em;
}

.course__title {
    margin-bottom: 0.5em;
}

.author__container {
    display: flex;
    align-items: center;
}

.author__image {
    width: 12%;
    margin-right: 0.938em;
}